--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: TEST_URL
  value: "'https://ukvpstest.protx.com/vspgateway/service'"
- !ruby/object:RI::Constant 
  comment: 
  name: LIVE_URL
  value: "'https://ukvps.protx.com/vspgateway/service'"
- !ruby/object:RI::Constant 
  comment: 
  name: SIMULATOR_URL
  value: "'https://ukvpstest.protx.com/VSPSimulator'"
- !ruby/object:RI::Constant 
  comment: 
  name: APPROVED
  value: "'OK'"
- !ruby/object:RI::Constant 
  comment: 
  name: TRANSACTIONS
  value: "{         :purchase => 'PAYMENT',         :credit => 'REFUND',         :authorization => 'DEFERRED',         :capture => 'RELEASE',         :void => 'VOID'"
- !ruby/object:RI::Constant 
  comment: 
  name: CREDIT_CARDS
  value: "{         :visa => \"VISA\",         :master => \"MC\",         :delta => \"DELTA\",         :solo => \"SOLO\",         :switch => \"MAESTRO\",         :maestro => \"MAESTRO\",         :american_express => \"AMEX\",         :electron => \"UKE\",         :diners_club => \"DC\",         :jcb => \"JCB\""
- !ruby/object:RI::Constant 
  comment: 
  name: ELECTRON
  value: /^(424519|42496[23]|450875|48440[6-8]|4844[1-5][1-5]|4917[3-5][0-9]|491880)\d{10}(\d{3})?$/
- !ruby/object:RI::Constant 
  comment: 
  name: AVS_CVV_CODE
  value: "{         \"NOTPROVIDED\" => nil,          \"NOTCHECKED\" => 'X',         \"MATCHED\" => 'Y',         \"NOTMATCHED\" => 'N'"
full_name: ActiveMerchant::Billing::ProtxGateway
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: authorize
- !ruby/object:RI::MethodSummary 
  name: capture
- !ruby/object:RI::MethodSummary 
  name: credit
- !ruby/object:RI::MethodSummary 
  name: purchase
- !ruby/object:RI::MethodSummary 
  name: test?
- !ruby/object:RI::MethodSummary 
  name: void
name: ProtxGateway
superclass: Gateway
